[B022] 临床基本信息
通过临床试验id或者登记号获取临床基本信息
clinical_trial_id 和 register_number 两个参数必须传一个
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
| string | 202425a889e52ae802432a8295220e53 | 临床试验id,通过临床试验检索接口获取 |
| string | NCT06498986 | 登记号 |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | object | - | 响应数据 |
phase | object | {
"display_name": [
{
"lang": "EN",
"name": "Phase 2"
},
{
"lang": "CN",
"name": "临床2期"
}
],
"normalized_id": "7b79728539354f189772a4eab9cc9fff"
} | 实验分期 |
display_name | array | [
{
"lang": "EN",
"name": "Autologous CAR-T"
},
{
"lang": "CN",
"name": "自体CAR-T"
}
] | 字典名称 |
lang | string | EN | 语言 |
name | string | Ranibizumab (Genentech) | 药物、靶点、机构、适应症、国家/地区、字典、作用机制 名称 |
normalized_id | string | 2fbfdb3e92d942c48cbb0adb79f23526 | 字典ID |
brief_title | string | A Study of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer | 实验标题 |
data_source | string | CTGOV | 登记机构,枚举值: WHO,CTGOV,CTR |
official_title | string | A Phase II Clinical Study to Evaluate the Efficacy and Safety of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer | 官网标题 |
register_number | string | NCT06498986 | 登记号 |
clinical_trial_id | string | 202425a889e52ae802432a8295220e53 | 临床试验ID |
recruitment_status | string | Not yet recruiting | 招募状态 |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": {
"phase": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"brief_title": "A Study of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer",
"data_source": "CTGOV",
"official_title": "A Phase II Clinical Study to Evaluate the Efficacy and Safety of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer",
"register_number": "NCT06498986",
"clinical_trial_id": "202425a889e52ae802432a8295220e53",
"recruitment_status": "Not yet recruiting"
},
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200001 | API整体限流错误! |
67200002 | 用户调用请求限流限制错误! |
67200003 | 申请token的key和secret不正确或者状态错误! |
67200004 | 无权限或该接口的套餐已超过系统设置的上限! |
67200005 | 账户余额不足,调用失败! |
67200006 | 客户端已过期,调用失败! |
67200007 | 超过调用额度,调用失败! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms